#include <IRremote.h>

const int RECV_PIN = 5;    // Datový výstup IR připojen na pin 5 Arduino
IRrecv irrecv(RECV_PIN);   // Deklarace přijímaných dat
decode_results results;    // Reprezentuj výsledek jako ...

void setup(){
  Serial.begin(9600);      // COM 9,6 kB
  irrecv.enableIRIn();     // Aktivuj IR přijímač
  irrecv.blink13(true);    // Taktovací frekvence IR
}

  void loop(){
  if (irrecv.decode(&results)){
        Serial.println(results.value, HEX);   // Prezentuj přijatá data v HEX kódu na COM
        delay(300); // Vyčkej 300 ms do dalších dat
        irrecv.resume(); // Zpracuj přijatá data
  }
}
